# Uses of Class
javax.net.ssl.SSLServerSocketFactory

Packages that use SSLServerSocketFactory
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

## Uses of SSLServerSocketFactory in javax.net.ssl

Methods in javax.net.ssl that return SSLServerSocketFactory
Modifier and Type
Method
Description
`protected abstract SSLServerSocketFactory`
SSLContextSpi.`engineGetServerSocketFactory()`
Returns a `ServerSocketFactory` object for this context.
`SSLServerSocketFactory`
SSLContext.`getServerSocketFactory()`
Returns a `ServerSocketFactory` object for this context.